Subject: Veggies for clayey soil

From: [email-masked] ()
Date: 28 Feb 1995 23:59:46 GMT

Hi!

Does anyone have any suggestion on what type of vegetables, etc. would be 
good to plant in a section of a garden that has a very high clay content 
to the soil.  We are composting like mad to improve the soil condition 
but just haven't gotten to this part yet.  Also, the crop would have to 
be able to withstand Southwestern conditions (low water, hot sun).

Any suggestions?

Carla